



<div class="container-fluid">
  <div class="row">
    <div class="col-12 text-center">
      <div *ngFor="let pref of preferenciasUsuario;let i = index" class="card-group pt-3">
        <div style="cursor: pointer;" [ngClass]="{'seleccionado bg-success text-white':seleccion[pref.sId]}" 
         (click)="seleccion[pref.sId]= !seleccion[pref.sId]" (click)="llenado(pref.sId)" class="card">
          <div class="card-body">
            <h5 class="card-title">{{pref.sNombre}}</h5>
          </div>
        </div>
      </div>
      <div class="pt-4">
        <button (click)="enviarInteres()" class="btn btn-primary text-center">Enviar</button></div>
    </div>
  </div>
</div>



























<!--PRIMERA VERSION CON JQUERY-->
<!--<div class="container-fluid">
  <div class="row">
    <div class="col-12 text-center">
      <div *ngFor="let pref of preferenciasUsuario;let i = index" class="card-group pt-3">
        <div style="cursor: pointer;" (click)="elegirInteres(pref.sId)" class="card" [id]="pref.sId">
          <div class="card-body">
            <h5 class="card-title">{{pref.sNombre}}</h5>
          </div>
        </div>
      </div>
      <div class="pt-4">
        <button (click)="enviarInteres()" class="btn btn-primary text-center">Enviar</button></div>
    </div>
  </div>
</div>
-->






















<!--
<div class="container-fluid">
<div class="row">
    <div class="col-12 text-center">
<div  *ngFor="let pref of preferenciasUsuario;let i = index" class="card-group pt-3">
    <div  (click)="prueba(id=i)" [className]="id == i ? 'card seleccionado bg-success text-white' 
    : 'card'"
     class="card" [id]="i">
      
      <div class="card-body">
        <h5 class="card-title">{{pref.sNombre}}</h5>
        <p class="card-text">{{pref.sId}}</p>
       
      </div>
      <div class="card-footer">
        <small class="text-muted">Last updated 3 mins ago</small>
      </div>
    </div>
  </div>
 <div class="pt-4">
  <button (click)="enviarInteres()" class="btn btn-primary text-center" >Enviar</button></div>
</div>
</div>
</div>-->